List timesheets
GET/api/timesheets
Required permissions:
- timetracking.view
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Filter items by the project_id field.
Filter items by the person_id field.
Filter items by the date field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of daily timesheets.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The date of the timesheet
The daily hours of the timesheet
Notes of the timesheet
The mode of the timesheet
Possible values: >= 1
ID of the project related to the timesheet
Possible values: >= 1
ID of the person related to the timesheet
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-03-27T11:39:29.349Z",
"updated_at": "2026-03-27T11:39:29.349Z",
"date": "2024-01-01",
"hours": 15.6,
"notes": "This is a note",
"mode": "daily",
"project_id": 1,
"person_id": 1,
"deleted_at": "2026-03-27T11:39:29.349Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}